using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LLNet.GUI;
using LLNet.Utils;

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class FrmMensaje : Form
    {
        public FrmMensaje()
        {
            InitializeComponent();
        }

        #region btnAceptar_Click
        private void btnAceptar_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }
        #endregion

        #region FrmMensaje_Load
        private void FrmMensaje_Load(object sender, EventArgs e)
        {
            try
            {
                string texto = Helpers.Nvl(CApp.GetParam("TEPM"), "").ToString();

                if (texto != "")
                {
                    this.lblTexto.Text = texto;
                }
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Cobros y Facturación", true);
            }
        }
        #endregion

        #region FrmMensaje_KeyDown
        private void FrmMensaje_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.Enter:
                    btnAceptar_Click(null, null);
                    break;
            }
        }
        #endregion
    }
}